# OgreHardwareVertexBuffer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreHardwareBuffer.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreColourValue.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::HardwareVertexBuffer
| Specialisation of HardwareBuffer for a vertex buffer. More...
class | Ogre::HardwareVertexBufferSharedPtr
| Shared pointer implementation used to share index buffers. More...
class | Ogre::VertexElement
| This class declares the usage of a single vertex buffer as a component of a complete VertexDeclaration. More...
class | Ogre::VertexDeclaration
| This class declares the format of a set of vertex inputs, which can be issued to the rendering API through a RenderOperation. More...
class | Ogre::VertexBufferBinding
| Records the state of all the vertex buffer bindings required to provide a vertex declaration with the input data it needs for the vertex elements. More...

## Enumerations

enum | Ogre::VertexElementSemantic { Ogre::VES_POSITION = 1, Ogre::VES_BLEND_WEIGHTS = 2, Ogre::VES_BLEND_INDICES = 3, Ogre::VES_NORMAL = 4, Ogre::VES_DIFFUSE = 5, Ogre::VES_SPECULAR = 6, Ogre::VES_TEXTURE_COORDINATES = 7, Ogre::VES_BINORMAL = 8, Ogre::VES_TANGENT = 9 }
| Vertex element semantics, used to identify the meaning of vertex buffer contents. More...
enum | Ogre::VertexElementType { Ogre::VET_FLOAT1 = 0, Ogre::VET_FLOAT2 = 1, Ogre::VET_FLOAT3 = 2, Ogre::VET_FLOAT4 = 3, Ogre::VET_COLOUR = 4, Ogre::VET_SHORT1 = 5, Ogre::VET_SHORT2 = 6, Ogre::VET_SHORT3 = 7, Ogre::VET_SHORT4 = 8, Ogre::VET_UBYTE4 = 9, Ogre::VET_COLOUR_ARGB = 10, Ogre::VET_COLOUR_ABGR = 11 }
| Vertex element type, used to identify the base types of the vertex contents. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:09 2009